<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#
error_reporting(0);
include('start.php');
include("config.php");
include("./includes/constants/menu");
include("./includes/".$ver."/banned");

list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;
$ttl="Магазин";
$ref = rand(1000, 9999);


///////////////////////////////////////////////////////////////////////
$smena = htmlspecialchars(mysql_escape_string(trim($_GET['smena'])));
$nick = htmlspecialchars(mysql_escape_string(trim($_POST['nick'])));
$text = htmlspecialchars(mysql_escape_string(trim($_POST['text'])));
///////////////////////////////////////////////////////////////////////


$cena = file("system/cena.dat");
$cenapriv1 = trim($cena[7]);
$cenapriv2 = trim($cena[8]);
$cenapriv3 = trim($cena[9]);


switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `privilegii` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>";
echo "<card title=\"ERROR\" ontimer=\"/wml\"><timer value=\"15\"/><p align=\"left\">";
echo "<small>Ошибка авторизации!<br/>";
list($msec, $sec) = explode(chr(32), microtime());
echo "<br/>[".round(($sec+$msec)-$headtime,5)."] sec<br/>";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

$privilegii = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE


echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>";
echo "<card title=\"$ttl\"><p align=\"left\">";

$query_users = @mysql_query("select * from `chat_users` where id='$id';");;

$data = @mysql_fetch_array($query_users);
$monety= $data['monety'];


$privilegii = $user['privilegii'];

$ostatok= $monety-$cenapriv1;
$priv1 = "1";
$priv2 = "2";
$priv3 = "3";


if(isset($_GET['modstat']))
{
$modstat = $_GET['modstat'];
}
else
{
$modstat = "";
}



 switch($modstat)
{


default:
echo "В этом отделе нашего магазина вы можете купить себе <b>привилегии</b><br/>!Привилегия <b>Адын</b> на данный момент стоит <b>$cenapriv1</b> монет. позволяет вам загружать свое виддео размером не больше 1мб<br/>Привилегия <b>ТВа</b> на данный момент стоит <b>$cenapriv2</b> монет. Позволяет вам изменять свой статус за бесплатно в личном кабинете<br/>Привилегия <b>Тры</b> на данный момент стоит <b>$cenapriv2</b> монет. Позволяет вам добавлять статьи в газете! Добавлять свои, или других авторов, Стихотворения!<br/>";
if ($monety > $cenapriv1)
{
echo "У вас монет: <u>".$monety."</u><br/>";
}
else
{
echo "У вас нет монет!Чтобы получить монеты сходите в <a href=\"obmen.php?".SID."&amp;ver=html\">банк</a> нашего чата,там вы сможете обменять ваши посты на монеты.<br/>";
}
if ($privilegii == 0)
{
echo "Сейчас у вас: <u>[НУЛЕВОЙ УРОВЕНЬ]</u> привилегий<br/>";
}
if ($privilegii == 1)
{
echo "Сейчас у вас: <u>[ПЕРВЫЙ УРОВЕНЬ]</u> привилегий<br/>";
}
if ($privilegii == 2)
{
echo "Сейчас у вас: <u>[ВТОРОЙ УРОВЕНЬ]</u> привилегий<br/>";
}
if ($privilegii == 3)
{
echo "Сейчас у вас: <u>[ТРЕТИЙ УРОВЕНЬ]</u> привилегий<br/>";
}
echo "Доступные Привилегии:<br/>";
if (
$privilegii < 1)
{echo "<a href=\"/lichpriv.php?".SID."&amp;ver=wml&amp;modstat=privilegia1\">[ПЕРВЫЙ УРОВЕНЬ]</a><br/>";
}
if ($privilegii < 2)
{
echo "<a href=\"/lichpriv.php?".SID."&amp;ver=wml&amp;modstat=privilegia2\">[ВТОРОЙ УРОВЕНЬ]</a><br/>";
}
if ($privilegii < 3)
{
echo "<a href=\"/lichpriv.php?".SID."&amp;ver=wml&amp;modstat=privilegia3\">[ТРЕТИЙ УРОВЕНЬ]</a><br/>";
}
if ($privilegii >= 3)
{
echo "[У вас Максимальный] уровень";
}
echo "<br/>";

break;

case 'privilegia1':

if ($monety < $cenapriv1)
{
echo "У вас не достаточно монет!<br/>";
}
 else
{
@mysql_query("UPDATE `chat_users`  SET `monety`='".$ostatok."', `privilegii`='".$priv1."' where id='$id'");
echo "Вы купили привилегию уровня <b>АДЫН</b>!<br/>";
}



break;

case 'privilegia2':

if ($monety < $cenapriv2)

{
echo "У вас не достаточно монет!<br/>";
}

  else

{
@mysql_query("UPDATE `chat_users`  SET `monety`='".$ostatok."', `privilegii`='".$priv2."' where id='$id'");
echo "Вы купили привилегию уровня <b>ТВА</b>!<br/>";
}

break;

case 'privilegia3':

if ($monety < $cenapriv3)


{
echo "У вас не достаточно монет!<br/>";
}
else

{
@mysql_query("UPDATE `chat_users`  SET `monety`='".$ostatok."', `privilegii`='".$priv3."' where id='$id'");
echo "Вы купили привилегию уровня <b>ТРЫ</b>!<br/>";
}

break;




}
echo "• <a href=\"/menu/wml\">В прихожую</a><br/>";
echo"$wmlfoot";
echo "</p></card></wml>";
break;
////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `privilegii` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>";
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}
//END AUTH

$privilegii = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';

$query_users = @mysql_query("select * from `chat_users` where id='$id';");

$data = @mysql_fetch_array($query_users);
$monety= $data['monety'];

$privilegii = $user['privilegii'];

$ostatok= $monety-$cenapriv1;
$priv1 = "1";
$priv2 = "2";
$priv3 = "3";


      if(isset($_GET['modstat']))
{
$modstat = $_GET['modstat'];
}
else
{
$modstat = "";
}

 switch($modstat)
{

default:
echo "В этом отделе нашего магазина вы можете купить себе <b>привилегии</b>!<br/>Привилегия <b>Адын</b> на данный момент стоит <b>$cenapriv1</b> монет. позволяет вам загружать свое виддео размером не больше 1мб<br/>Привилегия <b>ТВа</b> на данный момент стоит <b>$cenapriv2</b> монет. Позволяет вам изменять свой статус за бесплатно в личном кабинете!<br/>Привилегия <b>Тры</b> на данный момент стоит <b>$cenapriv3</b> монет. Позволяет вам добавлять статьи в газете! Добавлять свои, или других авторов, Стихотворения!<br/>";
if ($monety > $cenapriv1)
{
echo "У вас монет: <u>".$monety."</u><br/>";
}
else
{
echo "У вас нет монет!Чтобы получить монеты сходите в <a href=\"obmen.php?".SID."&amp;ver=html\">банк</a> нашего чата,там вы сможете обменять ваши посты на монеты.<br/>";
}
if ($privilegii == 0)
{
echo "Сейчас у вас: <u>[НУЛЕВОЙ УРОВЕНЬ]</u> привилегий<br/>";
}
if ($privilegii == 1)
{
echo "Сейчас у вас: <u>[ПЕРВЫЙ УРОВЕНЬ]</u> привилегий<br/>";
}
if ($privilegii == 2)
{
echo "Сейчас у вас: <u>[ВТОРОЙ УРОВЕНЬ]</u> привилегий<br/>";
}
if ($privilegii == 3)
{
echo "Сейчас у вас: <u>[ТРЕТИЙ УРОВЕНЬ]</u> привилегий<br/>";
}
echo "Доступные Привилегии:<br/>";
if ($privilegii < 1)
{
echo "<a href=\"/lichpriv.php?".SID."&amp;ver=html&amp;modstat=privilegia1\">[ПЕРВЫЙ УРОВЕНЬ]</a><br/>";
}
if ($privilegii < 2)
{
echo "<a href=\"/lichpriv.php?".SID."&amp;ver=html&amp;modstat=privilegia2\">[ВТОРОЙ УРОВЕНЬ]</a><br/>";
}
if ($privilegii < 3)
{
echo "<a href=\"/lichpriv.php?".SID."&amp;ver=html&amp;modstat=privilegia3\">[ТРЕТИЙ УРОВЕНЬ]</a><br/>";
}
if ($privilegii >= 3)
{
echo "[У вас Максимальный] уровень";
}
echo "<br/>";

break;



case 'privilegia1':

if ($monety < $cenapriv1)

{
echo "У вас не достаточно монет!<br/>";
} else
{
@mysql_query("UPDATE `chat_users` SET `monety`='".$ostatok."', `privilegii`='".$priv1."' where id='$id'");
echo "Вы купили привилегию уровня <b>АДЫН</b>!<br/>";
}


break;

case 'privilegia2':

if ($monety < $cenapriv2)

{
echo "У вас не достаточно монет!<br/>";
}
else

{
@mysql_query("UPDATE `chat_users`  SET `monety`='".$ostatok."', `privilegii`='".$priv2."' where id='$id'");
echo "Вы купили привилегию уровня <b>ТВА</b>!<br/>";
}

break;

case 'privilegia3':

if ($monety < $cenapriv3)


{
echo "У вас не достаточно монет!<br/>";
}
else
{
@mysql_query("UPDATE `chat_users`  SET `monety`='".$ostatok."', `privilegii`='".$priv3."' where id='$id'");
echo "Вы купили привилегию уровня <b>ТРЫ</b>!<br/>";
}

break;

}

echo '<div class="d1">';
echo "• <a href=\"/menu/html\">В прихожую</a><br/>";
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";

break;
}
?>